Bug 116805 - CAN-2003-0592 cookie path traversal in Konquerer
Summary: CAN-2003-0592 cookie path traversal in Konquerer
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kdelibs   
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-25 13:35 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-10 14:31:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:074 normal SHIPPED_LIVE Important: kdelibs security update 2004-03-10 05:00:00 UTC

Description Mark J. Cox 2004-02-25 13:35:21 UTC
Flaws have been found in the cookie path handling between a number of
web browsers and web servers.  The HTTP cookie standard allows a web
server supplying a cookie to a client to specify a subset of URLs on
the origin server to which the cookie applies.  Web servers such as
Apache do not filter returned cookies and assume that the client will
only send back cookies for requests which fall within the
server-supplied subset of URLs. However, by supplying URLs which use
path traversal (/../) and character encoding, it is possible to fool
many browsers into sending a cookie to a path outside of the
originally specified subset.

KDE version 3.1.3 and later include a patch to Konquerer that disables
the sending of cookies to the server if the URL contains such encoded
traversals.  Red Hat Enterprise Linux 2.1 shipped with KDE 2.2.2 and
therefore is vulnerable to this issue.

Comment 1 Mark J. Cox 2004-03-10 14:26:21 UTC
public, removing embargo

Comment 2 Mark J. Cox 2004-03-10 14:31:24 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-074.html



Note You need to log in before you can comment on or make changes to this bug.